Package com.smartgwt.client.types

# Enum RowRangeDisplayStyle

java.lang.Object
java.lang.Enum<RowRangeDisplayStyle>
com.smartgwt.client.types.RowRangeDisplayStyle

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<RowRangeDisplayStyle>`, `Constable`

public enum RowRangeDisplayStyle extends Enum<RowRangeDisplayStyle> implements ValueEnum
Governs how `ListGrid.getRowRangeDisplayValue()` formats the row range and row count for display

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BRIEF`
  The `ListGrid.briefRowRangeDisplayValue` template will be used to display both row range and row count
  `COUNTONLY`
  The `ListGrid.getFormattedRowCount()` will be displayed with no other text.
  `FULL`
  The `ListGrid.fullRowRangeDisplayValue` template will be used to display both row range and row count
  `RANGEONLY`
  The `ListGrid.getFormattedRowRange()` will be displayed with no other text.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static RowRangeDisplayStyle`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static RowRangeDisplayStyle[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FULL

    public static final RowRangeDisplayStyle FULL
    The `ListGrid.fullRowRangeDisplayValue` template will be used to display both row range and row count

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "full".

  - ### BRIEF

    public static final RowRangeDisplayStyle BRIEF
    The `ListGrid.briefRowRangeDisplayValue` template will be used to display both row range and row count

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "brief".

  - ### COUNTONLY

    public static final RowRangeDisplayStyle COUNTONLY
    The `ListGrid.getFormattedRowCount()` will be displayed with no other text.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "countOnly".

  - ### RANGEONLY

    public static final RowRangeDisplayStyle RANGEONLY
    The `ListGrid.getFormattedRowRange()` will be displayed with no other text.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "rangeOnly".

- ## Method Details

  - ### values

    public static RowRangeDisplayStyle[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static RowRangeDisplayStyle valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`